function init(hero) {
    hero.setName("Dark Danny");
    hero.setTier(7);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:dark_ghost_powers");

    hero.addKeyBind("ENERGY_PROJECTION", "Ghost Ray", 1);
    hero.addKeyBind("SONIC_WAVES", "Ghostly Wail", 2);
    hero.addKeyBind("INTANGIBILITY", "key.intangibility", 3);
    hero.addKeyBind("INVISIBILITY", "key.invisibility", 4);
    hero.addKeyBind("SPELL_MENU", "Spectral Copies", 5);

    hero.addAttribute("PUNCH_DAMAGE", 17.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);

    hero.supplyFunction("canAim", canAim);
    hero.setDefaultScale(1.05);
}
function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}
